# list\_projects

`imerit_ango.sdk.SDK.`

## list\_projects(page, limit)

Retrieve all projects in your organization.

### Parameters

* **page:** int, *default 1*
  * Current page.
  * Example: `1`
* **limit:** int, *default 10, maximum 1000*
  * Number of projects per page.
  * Example: `100`

Returns:

* **output:** dict
  * A dictionary containing the result of the operation.
  * Including a `status` field indicating whether the request was successful and a `data` field containing the response payload with updated resources produced by the operation.

### Example

List the first ten projects from the organization:

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')

ango_sdk = SDK(api_key)

sdk_response = ango_sdk.list_projects()
project_list = sdk_response['data']['projects']

print(project_list[0])
```

{% endtab %}

{% tab title="curl" %}

```python
curl -X GET "https://imeritapi.ango.ai/v2/listProjects?page=1&limit=10" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY"
```

{% endtab %}
{% endtabs %}

List all projects from the organization:

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')

ango_sdk = SDK(api_key)

page = 1
num_projects = 1
project_list = []
while len(project_list) < num_projects:
    response = ango_sdk.list_projects(page=page, limit=50)
    projects = response.get('data', {}).get('projects', [])
    num_projects = response.get('data', {}).get('total', 0)

    project_list.extend(projects)
    page += 1

print("The number of retrieved projects is: " + str(len(project_list)))
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**See also**

[create\_project](https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/create_project), [get\_project](https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/get_project)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/list_projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
